| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Parser
Parser.HTML

# Method Parser.HTML()->clone()

Method clone

  `Parser.HTML clone(mixed ... args)`

Description

  Clones the Parser.HTML object. A new object of the same class is created, filled with the parse setup from the old object.

  This is the simpliest way of flushing a parse feed/output.

  The arguments to clone is sent to the new object, simplifying work for custom classes that inherits Parser.HTML .

Returns

  Returns the new object.

Note

  create is called _before_ the setup is copied.